Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI.Run
Class GEVAStreamParser.Line

    java.lang.Object
      UI.Run.GEVAStreamParser.Line

Enclosing class:
  GEVAStreamParser<E extends GEVAStreamParser.Event>

    protected class GEVAStreamParser.Line

extends java.lang.Object

Proxy to GEVAStreamReader.Event to pass on to inheriting classes so they don't have to deal with the Reader directly.

Constructor Summary
`protected` | `GEVAStreamParser.Line(GEVAStreamReader.Event event)`

Method Summary
`GEVAStreamParser.Extension` | `getExtension(java.lang.String name)` Get a named extension.
`java.lang.String` | `getLine()`
`int` | `getStreamId()`
`boolean` | `isEndOfStream()`
`void` | `setExtension(java.lang.String name, GEVAStreamParser.Extension extension)` Set a named extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GEVAStreamParser.Line

    protected GEVAStreamParser.Line(GEVAStreamReader.Event event)

Method Detail

### getLine

    public java.lang.String getLine()

### getStreamId

    public int getStreamId()

### isEndOfStream

    public boolean isEndOfStream()

### getExtension

    public GEVAStreamParser.Extension getExtension(java.lang.String name)

  Get a named extension. Each parser will have its own name and data type for its extension, see the related parser for details. Names of extensions will be defined in the parser as EXT_*

### setExtension

    public void setExtension(java.lang.String name,
                             GEVAStreamParser.Extension extension)

  Set a named extension. Each parser will have its own name and data type for its extension, see the related parser for details. Names of extensions will be defined in the parser as EXT_*

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD